Commit c68d0b9a authored by Phil's avatar Phil
Browse files

add qt4-fsarchiver plus deps

parent 54c86932
#
# Chakra Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
pkgname=fsarchiver
pkgver=0.6.12
pkgrel=1
pkgdesc="A safe and flexible file-system backup and deployment tool"
arch=('i686' 'x86_64')
url="http://www.fsarchiver.org/"
license=('GPL')
depends=('bzip2' 'e2fsprogs' 'lzo2' 'xz' 'libgcrypt')
source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz")
md5sums=('dc54cefcf9c2bc331063d82a7ad54133')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
./configure --prefix=/usr
make
}
package() {
cd "${srcdir}/${pkgname}-${pkgver}"
make DESTDIR="${pkgdir}" install
}
\ No newline at end of file
#
# Chakra Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
pkgname=qt4-fsarchiver
pkgver=0.6.12
pkgrel=1
pkgdesc='GUI for fsarchiver'
arch=('i686' 'x86_64')
url='http://sourceforge.net/projects/qt4-fsarchiver/'
license=('GPL')
depends=('fsarchiver' 'kde-runtime')
makedepends=('qt')
source=("http://sourceforge.net/projects/${pkgname}/files/source/${pkgname}-${pkgver}-10.tar.gz")
install=("${pkgname}.install")
md5sums=('79a9988d2b800ecdf33e0f831137bc2e')
build() {
cd "${srcdir}/${pkgname}"
qmake
}
package() {
cd "${srcdir}/${pkgname}"
make
make INSTALL_ROOT="${pkgdir}" install
mkdir -p ${pkgdir}/usr/share/qt/translations
rm -R ${pkgdir}/usr/share/qt4
install -D -m644 ${srcdir}/${pkgname}/translations/*.qm ${pkgdir}/usr/share/qt/translations
sed s/Terminal=true/Terminal=false/ -i ${pkgdir}/usr/share/applications/qt4-fsarchiver.desktop
sed s/sudo/kdesu/ -i ${pkgdir}/usr/share/applications/qt4-fsarchiver.desktop
}
\ No newline at end of file
post_install() {
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
}
post_upgrade() {
post_install
}
post_remove() {
post_install
}
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment